Bug 10439 - Cannot modify the notice's library
Summary: Cannot modify the notice's library
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL: tools/letter.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-10 12:13 UTC by Jonathan Druart
Modified: 2014-12-07 20:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10439: FIX modify the library for a notice. (1.35 KB, patch)
2013-06-10 12:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10439: FIX modify the library for a notice. (1.39 KB, patch)
2013-06-11 03:46 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[PASSED QA] Bug 10439: FIX modify the library for a notice. (1.68 KB, patch)
2013-06-16 16:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-06-10 12:13:41 UTC
To reproduce:
- switch on the the IndependentBranches pref
- go on Home › Tools › Notices & Slips 
- click on a edit link
- change the library and save
 => changes are not saved.
Comment 1 Jonathan Druart 2013-06-10 12:15:18 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2013-06-11 03:46:51 UTC Comment hidden (obsolete)
Comment 3 Srdjan Jankovic 2013-06-11 03:47:41 UTC
It actually affects "New Notice" as well
Comment 4 Katrin Fischer 2013-06-16 16:50:50 UTC
Created attachment 19044 [details] [review]
[PASSED QA] Bug 10439: FIX modify the library for a notice.

2 javascript functions should be apply only in a specific case, not for all
views.

Test plan:
- switch on the IndependentBranches pref
- try to change the library for a notice. Before the patch, no change is
applied.

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>

Note: only a superlibrarian can change the library or create new
notices for every library. This bug can only be reproduced with
superlibrarian permissions.

Tested with independentbranches on/off.
All tests and QA script pass.
Comment 5 Galen Charlton 2013-06-17 02:00:22 UTC
Pushed to master.  Thanks, Jonathan!
Comment 6 Tomás Cohen Arazi 2013-07-02 18:00:17 UTC
This patch has been pushed to 3.12.x, will be in 3.12.2.

Thanks Jonathan!
Comment 7 Bernardo Gonzalez Kriegel 2013-07-13 18:17:36 UTC
Pushed to 3.10.x, will be in 3.10.8
Comment 8 Chris Hall 2013-07-18 09:13:56 UTC
Pushed to 3.8.x, will be in 3.8.15